Bug 463690 - [LTC 6.0 FEAT] 201583:Include ACPI tstate support (processor throttling control)
[LTC 6.0 FEAT] 201583:Include ACPI tstate support (processor throttling control)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All All
medium Severity high
: alpha
: 6.0
Assigned To: James Takahashi
Red Hat Kernel QE team
: FutureFeature
Depends On:
Blocks: 356741 495132 511891 512362 512364 525727 554559 555224
  Show dependency treegraph
 
Reported: 2008-09-24 02:21 EDT by IBM Bug Proxy
Modified: 2010-11-11 11:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 11:04:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-24 02:21:11 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:18 EDT
1. Feature Overview:
Feature Id:	[201583]
a. Name of Feature:	Include ACPI tstate support (processor throttling control)
b. Feature Description
IBM's power management strategy requires that the OS be able to support processor throttling
control. This is in support of IBM's Active Energy Manager. This support has already been
incorporated upstream. See ACPI specification v3.0b, section 8.4.3.

2. Feature Details:
Sponsor:	xSeries
Architectures:
x86
x86_64

Arch Specificity: Purely Common Code
Affects Core Kernel: Yes
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	xSeries
Request Type:	Kernel - Enhancement from Upstream
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	no
g. Component Version Target:	ACPI specification v3.0b, section 8.4.3.

3. Business Case
To support IBM's power management strategy and customer demand for improved power management control

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Monte Knutson, mknutson@us.ibm.com, 877-894-1495

Technical contact(s):
Kevin Stansell, kstansel@us.ibm.com
Chris McDermott, mcdermoc@us.ibm.com

IBM Manager:
Deneen T. Dock, deneen@us.ibm.com
Comment 1 Bill Nottingham 2008-10-02 17:14:11 EDT
RHEL 6 will include a recent upstream kernel, so this should not be a problem.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 2 IBM Bug Proxy 2008-10-03 12:21:09 EDT
in Red Hat CVS Tree Marking as Accepted
Comment 3 IBM Bug Proxy 2010-05-20 18:40:40 EDT
------- Comment From masbock@us.ibm.com 2010-05-20 18:34 EDT-------
I verified that throttling states are supported in the Linux kernel in RHEL6 snap 4 (2.6.32-25.el6.x86_64).
The states are correctly represented in
/sys/class/thermal/cooling_device*/*

I will mark this as verified.
Comment 4 Mike Gahagan 2010-09-02 17:04:35 EDT
Checked in sysfs for:

/sys/class/thermal/cooling_device*/*

confirmed info existed for cooling devices and thermal zones.
Comment 5 releng-rhel@redhat.com 2010-11-11 11:04:50 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.